• Announcements

    • Brentonator

      Forum Rules (Please Read)

      Hello everyone and welcome to the No More Room In Hell Forums! We greatly appreciate your interest and support. Please feel free to begin post and become a part of this community. But please make sure that you read and understand the following rules so things can stay as clean and as orderly as possible around here. These rules are expected to be follow by any and all members at all times. Disobeying these rules will result in disciplinary action by a moderator. #1. Off color remarks are acceptable but can be deemed inappropriate at the discretion of the moderators. #2. Flaming and disrespecting other members of this community or this mod is strictly prohibited. #3. Please do not post links relating to warez or illegal downloading. #4. No offensive content is to be posted (gore, dead babies, porn). #5. Please do not spam topics to increase your post count. #6. No excessively large signatures. Signatures that violate this will be modified. #7. Signatures are not to be used as a spamming tool. If your signature's sole purpose is to annoy or distract other members, it will be removed. #8. Please do your part to be as friendly, respectful, and helpful to anyone and everyone on this forum. #9. Your posts may be removed at any time at our sole discretion. #10. Remember the terms of your registration...a copy is posted below but may not represent the latest version of our terms of use. #11. No advertising other communities or products. Have fun.
Sign in to follow this  
Followers 0
ToNiO

Server Dedicated Linux won't start

35 posts in this topic

I think I ask too many questions and I'm starting to upset you

thank you anyway dark_st3alth and ssba

thank for your help

I'll try to handle my problem it all alone

I will come back on the forum if I ever find a solution

Share this post


Link to post
Share on other sites

we, http://zap-hosting.com/ having the same problem with debian squeeze kernel 2.6.32 and debian wheezy kernel 3.2.0 64bit and 32bit:

version `GLIBC_2.15' not found (required by /home/r12_kd28964/game/27463_31099_1271/nmrih/nmrih/bin/game_shader_dx9_srv.so)
failed to dlopen /home/r12_kd28964/game/27463_31099_1271/nmrih/nmrih/bin/server_srv.so error=/lib32/libm.so.6: version `GLIBC_2.15' not found (required by /home/r12_XX/game/27463_31099_1271/nmrih/nmrih/bin/server_srv.so)
Segmentation fault

Also the ./srcds_run -console -game nmrih +map nms_favela from http://www.nomoreroominhell.com/wiki/Dedicated_Server_Setup does not work on mentioned operating systems:

./srcds_run -console -game nmrih +map nms_favela

ERROR: Invalid game type 'nmrih' sepecified.ndss
Sa 2. Nov 16:50:09 CET 2013: Server Failed

The next thing: On windows the nmrih dedicated server works, but only, if we start it with double click on that srcds.exe. When we try to start by cmd, we get:

CTextConsoleWin32::GetLine: !GetNumberOfConsoleInputEvents

Also googled for it, seems like the developer needs to fix it.

So: very hard to host dedicated nmrih dedicated servers yet.

Please provide any fixes!

Edited by zap-hosting

Share this post


Link to post
Share on other sites

we, zap-hosting.com having the same problem with debian squeeze kernel 2.6.32 and debian wheezy kernel 3.2.0 64bit and 32bit:

version `GLIBC_2.15' not found (required by /home/r12_kd28964/game/27463_31099_1271/nmrih/nmrih/bin/game_shader_dx9_srv.so)

failed to dlopen /home/r12_kd28964/game/27463_31099_1271/nmrih/nmrih/bin/server_srv.so error=/lib32/libm.so.6: version `GLIBC_2.15' not found (required by /home/r12_XX/game/27463_31099_1271/nmrih/nmrih/bin/server_srv.so)

Segmentation fault

Also the ./srcds_run -console -game nmrih +map nms_favela from http://www.nomoreroo...ed_Server_Setup does not work on mentioned operating systems:

./srcds_run -console -game nmrih +map nms_favela

ERROR: Invalid game type 'nmrih' sepecified.ndss

Sa 2. Nov 16:50:09 CET 2013: Server Failed

The next thing: On windows the nmrih dedicated server works, but only, if we start it with double click on that srcds.exe. When we try to start by cmd, we get:

CTextConsoleWin32::GetLine: !GetNumberOfConsoleInputEvents

Also googled for it, seems like the developer needs to fix it.

So: very hard to host dedicated nmrih dedicated servers yet.

Please provide any fixes!

I already wrote that the Linux server must be corrected. A really funny when, in response to the developers say you should update your oc linux, which has been upgraded and so.

Currently we require glibc 2.1.5. Doesn't look like you have that version.

If the server is No More Room In Hell on linux has such a requirement which is higher than the games Counter-Strike: Global Offensive, Left 4 Dead 2, Contagion then it's not normal!

Perhaps need do then separate patch to such servers?

Edited by dr leks

Share this post


Link to post
Share on other sites

I already wrote that the Linux server must be corrected. A really funny when, in response to the developers say you should update your oc linux, which has been upgraded and so.

If the server is No More Room In Hell on linux has such a requirement which is higher than the games Counter-Strike: Global Offensive, Left 4 Dead 2, Contagion then it's not normal!

Perhaps need do then separate patch to such servers?

we are already seperating them, but there is no sense of seperating, if there is no glibc 2.1.5 package for debian wheezy, an none for squeezy. To implement a new OS to our webinterface just for nmrih would be senseless atm. 99% of serverproviders are using debian os

Share this post


Link to post
Share on other sites

If the server is No More Room In Hell on linux has such a requirement which is higher than the games Counter-Strike: Global Offensive, Left 4 Dead 2, Contagion then it's not normal!

Perhaps need do then separate patch to such servers?

same opinion as you, since all servers using hl2,exemple tf2, I never had a problem before with my debian

before I was running debian squeeze now I'm on Debian wheezy and still works for tf2 and counterstrike but not for nmrih

nmrih functioned very well in the beta versions,since before I have 4 online servers on my debian

we are already seperating them, but there is no sense of seperating, if there is no glibc 2.1.5 package for debian wheezy, an none for squeezy. To implement a new OS to our webinterface just for nmrih would be senseless atm. 99% of serverproviders are using debian os

I totally agree with you, at least I'm not the only one with this problem, most linux systems used are debian or ubuntu (and ubuntu is based on debian )

Edited by ToNiO

Share this post


Link to post
Share on other sites

I finish testing under three different system on VMware Workstation

-Windows 2008 R2 64 Bits -- screenshot: http://bit.ly/1efXM8B
-Fedora 19 32-Bits -- screenshot: http://bit.ly/1cBY61u
-Ubuntu 13.04 64-Bits -- screenshot: http://bit.ly/16CVagu

its works,without no problem on the 3 systems
except on a Fedora 64 bits,gave me the same error as my Debian Wheezy

after some research I've done
it turns out that GLIBC 2.15'll never be on Debian

Debian Squeeze (stable old, still in security holder until next year) HAS glibc 2.11.
Debian Wheezy (stable, just out this year) HAS glibc 2.13
Ubuntu 10.04 LTS (EOL April 2015) HAS glibc 2.11
Ubuntu 12.04 LTS All which HAS glibc 2.15

I guess you can not switch on a kernel that supports earlier versions?

i can't change my Debian,because i have servers with other games on my server dedicated

it is all possible that its not working with other linux distribution

if this is impossible for fixed this problem,I can not host servers nmrih
this is sad...

Edited by ToNiO

Share this post


Link to post
Share on other sites

Same issue -- running debian squeezy, have glibc 2.11 and need 2.15 which is unavailable for debian. All other halflife dedicated servers work fine and have for years (TF2, L4D, L4D2, CS). Would appreciate a fix!

Share this post


Link to post
Share on other sites

Same issue -- running debian squeezy, have glibc 2.11 and need 2.15 which is unavailable for debian. All other halflife dedicated servers work fine and have for years (TF2, L4D, L4D2, CS). Would appreciate a fix!

I tried to install unstable libraries, but eventually gave up and just installed Ubuntu. It would be interesting if the team plans to support glibc below version 2.15.

Share this post


Link to post
Share on other sites

I tried to install unstable libraries, but eventually gave up and just installed Ubuntu. It would be interesting if the team plans to support glibc below version 2.15.

Not an option for me, unfortunately -- it's my friend's server and he's a debian man :)

Share this post


Link to post
Share on other sites

I tried to install unstable libraries, but eventually gave up and just installed Ubuntu. It would be interesting if the team plans to support glibc below version 2.15.

They won't be. This software has been available for the linux distro's for a hell of a long time, and it's time for them to pull their finger out and get updated. Especially as more and more games are needing it to work, they will soon find themselves cut out of everything soon if they don't get updated at long last. RHEL 7.0 should fix them ones, but that's going to be a long shot yet.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0